summary refs log tree commit diff
path: root/run_macos_dock.sh
diff options
context:
space:
mode:
authorAlen <alen@dotfiles.xyz>2023-09-12 00:30:58 +0400
committerAlen <alen@dotfiles.xyz>2023-09-12 00:30:58 +0400
commit36718adf9069edadf946411627eccb50a1399a59 (patch)
tree548883c33cb59c8ba38fea49e917dfda5c4f226b /run_macos_dock.sh
parente8015fdbc726da24fde3f71ce9445500a41c2103 (diff)
Update run_macos_dock.sh to not be templated
Diffstat (limited to 'run_macos_dock.sh')
-rw-r--r--run_macos_dock.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/run_macos_dock.sh b/run_macos_dock.sh
new file mode 100644
index 0000000..db87fbd
--- /dev/null
+++ b/run_macos_dock.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+
+set -e
+
+defaults write com.apple.dock autohide-time-modifier -float 0.25
+defaults write com.apple.dock autohide-delay -float 0
+defaults write com.apple.dock orientation -string left
+defaults write com.apple.dock show-recents -bool false
+defaults write com.apple.dock autohide -bool true
+defaults write com.apple.dock tilesize -float 50.0
+killall Dock